#ifndef __DEBUG_H__
#define __DEBUG_H__

extern unsigned int module_dbg_mask;

#ifdef __KERNEL__

#define INS_TO_USBDEV(ins) ins->usb_dev

#define uea_dbg(mask, usb_dev, format, args...)	\
	do { \
		if (module_dbg_mask & (mask)) \
			dev_dbg(&(usb_dev)->dev, \
				"[eu - " #mask "]  " format, ##args); \
       } while (0)

#define uea_enters(mask, usb_dev) \
	uea_dbg(mask, usb_dev, "entering %s\n", __FUNCTION__)

#define uea_leaves(mask, usb_dev) \
	uea_dbg(mask, usb_dev, "leaving  %s\n", __FUNCTION__)

#define uea_err(usb_dev, format,args...) \
	dev_err(&(usb_dev)->dev ,"[UEAGLE-USB] " format , ##args)

#define uea_warn(usb_dev, format,args...) \
	dev_warn(&(usb_dev)->dev ,"[Ueagle-usb] " format, ##args)

#define uea_info(usb_dev, format,args...) \
	dev_info(&(usb_dev)->dev ,"[ueagle-usb] " format, ##args)

#endif /* __KERNEL__ */

typedef enum {
	DBG_INIT = (1 << 0),
	DBG_BOOT = (1 << 1),
	DBG_STAT = (1 << 2),
	DBG_INTS = (1 << 3),
} dbg_sec_t;

#endif	/* __DEBUG_H__ */
